Buteo::SyncBackupAdaptor Class Reference

Adaptor class for interface com.nokia.backupclient. More...

`#include <SyncBackupAdaptor.h>`

Inheritance diagram for Buteo::SyncBackupAdaptor:

## Public Slots

uchar | backupFinished (const QDBusMessage &message)
uchar | backupStarts (const QDBusMessage &message)
bool | getBackUpRestoreState ()
uchar | restoreFinished (const QDBusMessage &message)
uchar | restoreStarts (const QDBusMessage &message)

## Signals

void | backupDone ()
void | backupInProgress ()
void | restoreDone ()
void | restoreInProgress ()

## Public Member Functions

| SyncBackupAdaptor (QObject *parent)
virtual | ~SyncBackupAdaptor ()

## Detailed Description

Adaptor class for interface com.nokia.backupclient.

## Constructor & Destructor Documentation

## SyncBackupAdaptor()

SyncBackupAdaptor::SyncBackupAdaptor | ( | QObject * | parent | ) |

See also
  SyncBackup::SyncBackup()

## ~SyncBackupAdaptor()

SyncBackupAdaptor::~SyncBackupAdaptor | ( |  | ) |

virtual

See also
  ~SyncBackup::SyncBackup()

## Member Function Documentation

## backupDone

void Buteo::SyncBackupAdaptor::backupDone | ( |  | ) |

signal

See also
  ~SyncBackup::backupDone

## backupFinished

uchar SyncBackupAdaptor::backupFinished | ( | const QDBusMessage & | message | ) |

slot

See also
  ~SyncBackup::backupFinished()

## backupInProgress

void Buteo::SyncBackupAdaptor::backupInProgress | ( |  | ) |

signal

See also
  ~SyncBackup::backupInProgress

## backupStarts

uchar SyncBackupAdaptor::backupStarts | ( | const QDBusMessage & | message | ) |

slot

See also
  ~SyncBackup::backupStarts()

## getBackUpRestoreState

bool SyncBackupAdaptor::getBackUpRestoreState | ( |  | ) |

slot

See also
  ~SyncBackup::getBackUpRestoreState()

## restoreDone

void Buteo::SyncBackupAdaptor::restoreDone | ( |  | ) |

signal

See also
  ~SyncBackup::restoreDone

## restoreFinished

uchar SyncBackupAdaptor::restoreFinished | ( | const QDBusMessage & | message | ) |

slot

See also
  ~SyncBackup::restoreFinished

## restoreInProgress

void Buteo::SyncBackupAdaptor::restoreInProgress | ( |  | ) |

signal

See also
  ~SyncBackup::restoreInProgress

## restoreStarts

uchar SyncBackupAdaptor::restoreStarts | ( | const QDBusMessage & | message | ) |

slot

See also
  ~SyncBackup::restoreStarts

The documentation for this class was generated from the following files:

- SyncBackupAdaptor.h
- SyncBackupAdaptor.cpp